**New to mmhmm?**

If you need help or find bugs, email us at <help@mmhmm.app>


**Version 2.6.4 - Sep 3, 2024**

• Added information about transitioning to the new mmhmm


**Version 2.6.3 - Dec 20, 2023**

• Small bug fix and stability improvement


**Version 2.6.2 - Nov 28, 2023**

• More fixes for file storage reductions that might result in blank slides.
• Clean up for links to Help Center.
• Performance and stability improvements


**Version 2.6.1 - Oct 30, 2023**

• Improved text for errors that might occur when installing the mmhmm Studio Camera.
• The names of applications that are connected to the mmhmm Studio Camera are now displayed in the Status area.
• Fixed some visual artefacts that might appear in macOS Sonoma.
• Fixes for file storage reductions that might result in blank slides.


**Version 2.6.0 - Oct 23, 2023**

• We've updated the mmhmm Studio Camera to continue working with the latest version of macOS. After installing the update we will guide you through installing the new camera and removing the older legacy virtual camera.
• The new camera now works with first-party Apple apps including FaceTime, Safari, Photo Booth, & QuickTime. It continues to work with Zoom, Meet, Teams, Webex, and other video platforms.
• Now we show your slides on top when you show your real room as the background, no need to dig in to the settings to find them
• We have improved the process for importing PDF's, PowerPoint's and other documents to use as slides.
• We've added a grid for helping to align slides and other objects when moving them on the stage.
• More improvements have been made to file storage and disk space warnings to prevent unnecessary bloat.


**Version 2.5.2 - May 25, 2023**

• Presenter video can now be mirrored. Select "Mirror video" from the Camera menu or Camera toolbar popup.
• Option to remove takes from all selected slides. Select "Set all to None" from the takes button below the stage.
• "Slides on top" option is now always available. This option was previously limited, depending on your green screen and frame settings.


**Version 2.5.1 - May 5, 2023**

• Improved disk space warnings while recording, resolving a bug where you might be shown an out of disk space error incorrectly.
• Reduced reserved disk space requirement to start recording from 20 GB to 10 GB.
• Significantly improved performance of scrolling in the slide tray.


**Version 2.5.0 - April 3, 2023**

• We've re-written the recorder from the ground up for reliability and more consistent syncing between audio and video.
• It's now possible to import presenter videos from outside mmhmm, try it from the Manage Takes window of any slide.
• We'll warn you when you are about to run out of disk space while recording and give you a chance to save what you have done.
• You can now make image slides much larger than previous constraints would allow.
• Improved consistency of options available for editing and copying of slides and scenes in the slide tray.
• Some software cameras are no longer supported, including EpocCam, Lumina Plus & Snap.


**Version 2.4.2 - February 16, 2023**

• We’ve made it easy to copy and paste all of your presenter settings if you want to keep the same settings in a different scene.
• Sometimes recordings have errors that make them impossible to publish, we’ve improved our messaging to help find problem slides and takes.
• We’ve added the ability to move unused takes from multiple slides to the trash all at once.
• Now you can also empty the trash for multiple slides all at the same time.
• We’ve fixed a bug that occurred at the intersection of HEVC video slides and their captions.
• We’ve fixed a couple of bugs related to presenter color effects.


**Version 2.4.1 - January 18, 2023**

• Fixed bug that may have prevented being able to log out
• Added "Copy Link" to the presentations window menu
• Added "Scene" item to the slides context menu so you can change the scene for the selected slide(s)
• Fixed a bunch of bugs with camera and microphone device permissions, disconnection, reconnection & muting (especially in macOS Ventura)
• Fixed a bug that may result in a crash upon launch
• Performance and stability improvements


**Version 2.4.0 - October 18, 2022**

• mmhmm is now named mmhmm Studio
• Added search to the room catalogue
• Your last selected camera / microphone will be remembered and re-selected if you disconnect and reconnect it
• Way better support for working with your MacBook lid closed - you should no longer see messages about your camera being unavailable
• Added a main menu item for the Microphone selection
• Start and end time for the selected take for a slide is shown below the title in the slide tray


**Version 2.3.3 - August 25, 2022**

• Recorded slide details are now shown in the Status area when in Playback
• Uploading a presentation will now take priority over syncing slides and takes
• Reduced disk space usage by no longer downloading takes for closed presentations
• Reduced disk space usage by deleting assets for deleted slides and takes


**Version 2.3.2 - July 8, 2022**

• Support for Sign in with Apple
• Improved compatibility with the new mmhmm web app
• Fixed bug that may result in colored bars being displayed after first install
• Improved handling and display of sync errors


**Version 2.3.1 - June 16, 2022**

• Improvements to physical green screen boundary precision
• Added language support for Ukrainian
• Updated the screen to inform users when mmhmm is not running but chosen as the camera in other applications
• Improvements to publishing, including the ability to change the poster frame
• Fixed bug that was preventing animated GIFs from animating when used as a custom room
• Fixed bug that was reverting selected room when creating a new scene
• Fixed bug that could cause presenter to disappear from playback if the camera is muted
• Fixed bug that caused slides to restart while publishing or syncing
• Fixed bug that caused slides to revert to their old position after being reordered


**Version 2.3.0 - May 12, 2022**

• Presentations now sync between your computers. Make changes on one computer, see them on another.
• No more time limits on presenter tools, instead you can now increase your room choices and sharing limit by upgrading to mmhmm Premium.
• Improvements to the publishing experience.


**Version 2.2.7 - March 30, 2022**

• Fixed bug that was causing the Waves and Paper World rooms to occasionally look compressed
• Fixed bug that caused the area around the presenter to look slightly delayed from the rest of the video
• Fixed bug where screen sharing slides did not fill the screen in Playback mode


**Version 2.2.6 - March 8, 2022**

• Added a quick way to mute / unmute the camera - very similar to the microphone mute. Just click the camera button in the tool bar.
• Fixed bug that was cutting off some parts of letters in slide titles
• Fixed bug so that slide captions appear immediately for GIPHY slides


**Version 2.2.5 - February 12, 2022**

• Fixed a bug that caused mmhmm's memory usage to creep up slowly


**Version 2.2.4 - January 28, 2022**

• Added a quick way to mute / unmute the microphone - just click the microphone button in the toolbar
• Improved microphone & camera popovers
• Improved reliability of recording from Snap Camera
• Fixes for playback when changing the presenter scale
• Recording with cameras capable of 4K or 60fps is now more reliable
• Connecting & disconnecting headsets is more reliable (especially for AirPods)
• Fixes to improve reliability of publishing


**Version 2.2.3 - January 14, 2022**

• Improvements to virtual green screen for M1 Macs running macOS 12
• Fixed bug to improve reliability of recordings when using an external camera and virtual green screen on M1 Macs running macOS 12


**Version 2.2.2 - December 17, 2021**

• Improved reliability for presentation publishing
• Fixed bug so that presentations that take longer than one hour to upload can be published
• Fixed bug to improve the order of slides when re-arranging slides
• Fixed bug so that slide captions can appear immediately when publishing or changing slides
• Removed appearance of shaking for takes that contain screenshares


**Version 2.2.1 - November 23, 2021**

• Language support for Korean, Simplified Chinese and Traditional Chinese
• Fixed a bug where recording progress may be lost if an error occurs during recording
• Fixed crash that might occur if exporting takes that contain a pointer
• Fixed video and audio possibly being out of sync when exporting a presentation
• Fixed screens sometimes not appearing when creating a screen share slide
• Fixed text slides sometimes not scaling words correctly leading to truncation onto multiple lines
• Improved performance for Intel processors with integrated graphics


**Version 2.2.0 - November 1, 2021**

• Language support for Arabic, French, German, Hebrew, Italian, Portuguese & Spanish
• Recording fixes for Intel hardware that might affect quality and reliability during longer recordings


**Version 2.1.2 - October 25, 2021**

• Support for macOS 12 Monterey
• New Virtual Green Screen exclusive to macOS 12 Monterey when using an M1 based Mac
• Fixes for recording reliability on high end hardware
• More recording and publishing fixes
• Fixed bug exporting and importing presentations where the preferred take may not remain selected


**Version 2.1.0 / 2.1.1 - October 7, 2021**

Recording and publishing are faster and easier than ever:
• Flubbed a line? No sweat! With Takes, you can now redo recordings on a slide-by-slide basis instead of re-recording your whole presentation.
• A new tab on the Edit Slide window allows you to trim takes or fade out between slides
• Customize your pitch for different audiences by copy-and-pasting takes between different presentations
• Playback mode allows you to review exactly what you’ve recorded. Choose Turbo or Max speed to make this step go faster.
• Use Playback mode to mix pre-recorded and live content within a single presentation. For example, pre-record a sales pitch or class lecture, then insert a LIVE slide to switch to live Q&A.
• In Publish mode, you can publish your recorded presentation as an mmhmm-hosted recording or export it as an mp4 file, or both!
• Export mp4 at different resolutions (options from 1080p to 360p)
• Re-publish to easily fix mistakes on previously-published mmhmm Recordings without sending out new links
• The new Mode Bar (below the stage and above the slide tray) allows you to switch between Edit, Playback, and Publish modes
• The Record button has moved from the upper left hand corner into the Mode bar

Slide improvements:
• The ‘Presets’ feature has been renamed ‘Scenes.’ Scenes let you consistently apply the same room and presenter settings to individual slides or groups of slides
• A “New Slide” button has replaced the previous slide icons
• You can swap out an image or video on a slide without losing the takes on that slide
• We’ve added a new slide appearance option: “Billboard”

Other improvements:
• Watermark won’t appear in saved videos if watermark is disabled
• Improvements to virtual green screen
• Bugfixes for importing Keynote, PowerPoint, and PDF
• Lots of other bugfixes


**Version 2.0.1 - July 15, 2021**

• Scenes can now be renamed and deleted. Renamed scenes won't automatically be deleted when no longer used.
• Scenes now have colors, making them easier to identify when you have a bunch.
• You can now easily join or leave the Beta program from the mmhmm menu.
• Fixed a few bugs preventing game controllers from working correctly.
• Fixed crashes importing mmhmm 1.0 presentations.
• Fixed bugs that may result in PDF / PowerPoint / Keynote imports not finishing.
• Improved support for Japanese.

**Version 2.0.0 - June 3, 2021**

• Scenes let you apply effects, sizing, transparency, and other settings to one or more slides. You can share scenes with as many (or as few) slides as you like.
• Presentations library will keep all your files organized in one place. No more forgetting where you saved something, it'll be right there in mmhmm whenever you need it.


**Version 1.4.2 - May 20, 2021**

• Fixes for Keynote / PowerPoint / PDF file imports not completing.


**Version 1.4.1 - April 6, 2021**

• All the stuff from 1.4.0, but this time with feeling (and fewer bugs).


**Version 1.4.0 - April 1, 2021**

• Business accounts, so if you're using mmhmm for work, your business can take care of all the details (like paying for it).
• Multiple accounts, so if you've got two jobs or want to use mmhmm for work and play, you can keep your precious interactive recordings separate.
• Learn to use mmhmm with video tutorials. We've got an all new learning tool to help you get the most out of mmhmm, built with video tutorials made in mmhmm. Ever see that Inception movie?


**Version 1.3.0 - March 11, 2021**

• Your Gif game is about to get a whole lot better. You can now quickly search GIPHY and add slides to mmhmm. We'd say "Use responsibly" but we haven't been and we doubt you will either.
• Movies, screen shares and second cameras can now have captions. "Breaking news: Local area resident shares video of vacation in own backyard".
• Have an image on your clipboard? If you paste in mmhmm you'll get a new slide with that image. The only surprise is that we didn't support this before.


**Version 1.2.0 - February 25, 2021**

• You can now import PowerPoint, Keynote and PDF documents. Each page will become its own slide in mmhmm. You asked for it, but please don't import your TPS reports.
• Text slides can now be created directly in mmhmm. It's quick and easy, like take out food but with 98.2% less polystyrene.
• Images can now have captions. "Breaking news - Many lawyers are cats pretending to be human".
• Text and image captions have several different appearances to choose from, but if you don't want to choose you can let mmhmm pick the right one for your room. It's kinda like Omakaze, but for your eyes instead of your mouth. 
• Each slide can have its own room and presentation settings. You can go from a pub in london to the inside of a boom box, just by changing slides.
• Slide changes now animate. Woosh - is the sound it would make if it made sound, but it doesn't. You're welcome.


**Version 1.1.1 - January 19, 2021**

• Effects now have settings so you can be singing in the rain or reporting from tropical cyclone Phil
• A cropped presenter in full frame mode can now be easily reset to un-cropped using the handy dandy crop cancel buttons
• It's now possible to set a custom chroma color for your physical green screen in addition to standard colors
• Improved virtual green screen
• More fixes for recording where audio may be missing


**Version 1.1.0 - December 21, 2020**

• Full Frame mode replaces Rectangle mode, allowing your real life background to be shown and cropped
• Track me option to enable or disable face tracking in Full Frame and Circle modes
• All new effects so you can dance in the rain, do your best Charlie Chaplin or invite someone to the Dagobah System
• Big hands are now available on Intel powered Macs running macOS 11 (Big Sur) or later
• Some rooms come with built in settings for that extra helping of quirk (try the Cardboard box, Boombox or Crystal ball rooms)
• More fixes for green screen users sometimes appearing transparent
• Fixes for audio sometimes missing from recordings


**Version 1.0.2 - December 2, 2020**

• Fixes for audio recording and playback on M1-powered Macs
• Improved Big Hands mode and new gestures (only available for M1-powered Macs)
• Fixes for issue affecting some green screen users where they may not be visible


**Version 1.0.1 - November 24, 2020**

• Temporary recording folder is now easier to find (Option click Help menu then choose Open Application Support folder)
• Improved Big Hands mode (only available for M1-powered Macs)
• Tweaks to migrating from mmhmm Beta
• Improved support for Japanese


**Version 1.0 - November 11, 2020**

*"Now these points of data make a beautiful line.* 
*And we're out of beta; we're releasing on time."*
\- GLaDOS

Welcome to the publicly released version of mmhmm. We're now 1.0!

Lots of changes in this build, but the highlights:
• Much better performance on virtual green screens. Check the camera button.
• Improvements and more options to chroma key handling for physical green screens. See the camera button.
• New Big Hand mode on M1-powered Macs! Activate in the Presenter tab and try some gestures!
• New Broadcast option under the Window menu to stream output to a second device or display.
• UI sounds that you can toggle in the mmhmm menu.
• The launch of our business model: the right-hand panel is now called Premium Tools. All beta testers get three months free, and everyone else gets seven days free and then one hour each day. The basic version is always available for free.
• Many dead bugs.

A giant thanks to everyone who helped test the product. We couldn't have gotten here without you!
